## qt6-graphs 6.7.2

=== debian/changelog ===
qt6-graphs (6.7.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update symbols files from the logs of buildds.
  * Add the qt6-base-dev dependency in qt6-graphs-dev, needed for the base Qt 6
    headers.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Dec 2024 08:21:38 +0100

qt6-graphs (6.7.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1086660)

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Nov 2024 21:23:26 +0100
