=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-graphs
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -9,14 +10,14 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-quick3d-dev (>= 6.7.2~),
-               qt6-quick3d-private-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-quick3d-dev (>= 6.8.1~),
+               qt6-quick3d-private-dev (>= 6.8.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
@@ -34,6 +35,17 @@
  .
  This package contains the Qt 6 Graphs library.
 
+Package: libqt6graphswidgets6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Graphs Widgets library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt 6 Graphs Widgets library.
+
 Package: qml6-module-qtgraphs
 Architecture: any
 Multi-Arch: same
@@ -50,8 +62,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6graphs6 (= ${binary:Version}),
+         libqt6graphswidgets6 (= ${binary:Version}),
          qml6-module-qtgraphs (= ${binary:Version}),
-         qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Graphs - development
  Qt is a cross-platform C++ application framework. Qt's primary feature
