=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: qt6-graphs
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-sequence-qmldeps,
+               libcups2-dev,
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-quick3d-dev (>= 6.8.1~),
-               qt6-quick3d-private-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-quick3d-dev (>= 6.8.2~),
+               qt6-quick3d-private-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
@@ -40,7 +40,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Graphs Widgets library
+Description: Qt 6 Graphs Widgetslibrary
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -64,6 +64,7 @@
 Depends: libqt6graphs6 (= ${binary:Version}),
          libqt6graphswidgets6 (= ${binary:Version}),
          qml6-module-qtgraphs (= ${binary:Version}),
+         qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Graphs - development
  Qt is a cross-platform C++ application framework. Qt's primary feature
